Debian Bug report logs - #356255
somaplayer-doc upgrade chokes on /usr/share/man/man1/somaplayer.1.gz

version graph

Package: somaplayer-doc; Maintainer for somaplayer-doc is (unknown);

Reported by: Jamm!n Wheeler <jammin@life.eu.org>

Date: Fri, 10 Mar 2006 17:33:05 UTC

Severity: serious

Tags: fixed, patch

Found in version somaplayer-doc/0.5.2-2.1

Fixed in version 0.5.2.1.ds-1.1

Done: "Adam D. Barratt" <debian-bts@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Riccardo Setti <giskard@autistici.org>:
Bug#356255; Package somaplayer-doc. Full text and rfc822 format available.

Acknowledgement sent to Jamm!n Wheeler <jammin@life.eu.org>:
New Bug report received and forwarded. Copy sent to Riccardo Setti <giskard@autistici.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jamm!n Wheeler <jammin@life.eu.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: somaplayer-doc upgrade chokes on /usr/share/man/man1/somaplayer.1.gz
Date: Fri, 10 Mar 2006 17:05:55 +0000
Package: somaplayer-doc
Version: 0.5.2-2.1
Severity: normal


Not sure what's going on here, but on the latest update, somaplayer-doc
fails to upgrade:
Preparing to replace somaplayer-doc 0.5.2-2.1 (using
.../somaplayer-doc_0.5.2.1.ds-1_all.deb) ...
Unpacking replacement somaplayer-doc ...
dpkg: error processing
/var/cache/apt/archives/somaplayer-doc_0.5.2.1.ds-1_all.deb (--unpack):
 trying to overwrite `/usr/share/man/man1/somaplayer.1.gz', which is
also in package somaplayer
Errors were encountered while processing:
/var/cache/apt/archives/somaplayer-doc_0.5.2.1.ds-1_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (100, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15-qolc-2006011201
Locale: LANG=en_GB, LC_CTYPE=en_GB (charmap=ISO-8859-1)

Versions of packages somaplayer-doc depends on:
ii  somaplayer                    0.5.2-2.1  player audio for the soma suite

somaplayer-doc recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Riccardo Setti <giskard@autistici.org>:
Bug#356255; Package somaplayer-doc. Full text and rfc822 format available.

Message #8 received at 356255@bugs.debian.org (full text, mbox):

From: James Westby <jw+debian@jameswestby.net>
To: debian-qa@lists.debian.org
Cc: 356255@bugs.debian.org, control@bugs.debian.org
Subject: Re: somaplayer-doc is uninstallable in testing
Date: Sun, 17 Sep 2006 01:23:36 +0100
[Message part 1 (text/plain, inline)]
severity 356255 grave
tags 356255 +patch
thanks

On (16/09/06 17:35), Joseph Neal wrote:
> Somaplayer and somaplayer-doc may not be installed simultaneously in
> testing as both contain /usr/share/man/man1/somaplayer.1.gz.
> 
> This problem was reported in bug #356255 190 days ago.
> 
> Someone probably wants to adjust the bug level accordingly.
> 

Done.

I hope I got the severity correct.

Attached is an interdiff that fixes the problem. It goes a little furter
and moves the locales and manpages to the binary package. I did this as
somaplayer only Suggests: somaplayer-doc, and so the manpages wont be
installed with the binaries in many cases. I think this is more
important for the locales though.

Apologies for the extra stuff in the interdiff.

James

-- 
  James Westby   --    GPG Key ID: B577FE13    --     http://jameswestby.net/
  seccure key - (3+)k7|M*edCX/.A:n*N!>|&7U.L#9E)Tu)T0>AM - secp256r1/nistp256
[somaplayer.diff (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Severity set to `grave' from `normal' Request was from James Westby <jw+debian@jameswestby.net> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: patch Request was from James Westby <jw+debian@jameswestby.net> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `serious' from `grave' Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Riccardo Setti <giskard@autistici.org>:
Bug#356255; Package somaplayer-doc. Full text and rfc822 format available.

Message #17 received at 356255@bugs.debian.org (full text, mbox):

From: Christoph Berg <myon@debian.org>
To: 356255@bugs.debian.org
Subject: Re: somaplayer-doc is uninstallable in testing
Date: Sun, 17 Sep 2006 12:07:19 +0200
[Message part 1 (text/plain, inline)]
Re: James Westby 2006-09-17 <20060917002335.GE6871@jameswestby.net>
> Attached is an interdiff that fixes the problem. It goes a little furter
> and moves the locales and manpages to the binary package. I did this as
> somaplayer only Suggests: somaplayer-doc, and so the manpages wont be
> installed with the binaries in many cases. I think this is more
> important for the locales though.

Here's the diff for the NMU I'm just uploading:

debdiff somaplayer_0.5.2.1.ds-1.dsc somaplayer_0.5.2.1.ds-1.1.dsc
 config.guess                  |   21 ++++++++++---------
 config.sub                    |   46 +++++++++++++++++++++---------------------
 debian/somaplayer-doc.install |    1 
 debian/changelog              |    9 ++++++++
 debian/control                |    2 -
 debian/somaplayer.install     |    2 +
 6 files changed, 47 insertions(+), 34 deletions(-)

diff -u somaplayer-0.5.2.1.ds/config.guess somaplayer-0.5.2.1.ds/config.guess
--- somaplayer-0.5.2.1.ds/config.guess
+++ somaplayer-0.5.2.1.ds/config.guess
@@ -1,9 +1,10 @@
 #! /bin/sh
 # Attempt to guess a canonical system name.
 #   Copyright (C) 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999,
-#   2000, 2001, 2002, 2003, 2004, 2005 Free Software Foundation, Inc.
+#   2000, 2001, 2002, 2003, 2004, 2005, 2006 Free Software Foundation,
+#   Inc.
 
-timestamp='2006-02-23'
+timestamp='2006-07-02'
 
 # This file is free software; you can redistribute it and/or modify it
 # under the terms of the GNU General Public License as published by
@@ -210,7 +211,7 @@
 	echo ${UNAME_MACHINE}-unknown-solidbsd${UNAME_RELEASE}
 	exit ;;
     macppc:MirBSD:*:*)
-	echo powerppc-unknown-mirbsd${UNAME_RELEASE}
+	echo powerpc-unknown-mirbsd${UNAME_RELEASE}
 	exit ;;
     *:MirBSD:*:*)
 	echo ${UNAME_MACHINE}-unknown-mirbsd${UNAME_RELEASE}
@@ -770,6 +771,8 @@
 	case ${UNAME_MACHINE} in
 	    pc98)
 		echo i386-unknown-freebsd`echo ${UNAME_RELEASE}|sed -e 's/[-(].*//'` ;;
+	    amd64)
+		echo x86_64-unknown-freebsd`echo ${UNAME_RELEASE}|sed -e 's/[-(].*//'` ;;
 	    *)
 		echo ${UNAME_MACHINE}-unknown-freebsd`echo ${UNAME_RELEASE}|sed -e 's/[-(].*//'` ;;
 	esac
@@ -780,9 +783,6 @@
     i*:MINGW*:*)
 	echo ${UNAME_MACHINE}-pc-mingw32
 	exit ;;
-    i*:MSYS_NT-*:*:*)
-	echo ${UNAME_MACHINE}-pc-mingw32
-	exit ;;
     i*:windows32*:*)
     	# uname -m includes "-pc" on this system.
     	echo ${UNAME_MACHINE}-mingw32
@@ -790,10 +790,10 @@
     i*:PW*:*)
 	echo ${UNAME_MACHINE}-pc-pw32
 	exit ;;
-    x86:Interix*:[345]*)
+    x86:Interix*:[3456]*)
 	echo i586-pc-interix${UNAME_RELEASE}
 	exit ;;
-    EM64T:Interix*:[345]*)
+    EM64T:Interix*:[3456]*)
 	echo x86_64-unknown-interix${UNAME_RELEASE}
 	exit ;;
     [345]86:Windows_95:* | [345]86:Windows_98:* | [345]86:Windows_NT:*)
@@ -831,6 +831,9 @@
     arm*:Linux:*:*)
 	echo ${UNAME_MACHINE}-unknown-linux-gnu
 	exit ;;
+    avr32*:Linux:*:*)
+	echo ${UNAME_MACHINE}-unknown-linux-gnu
+	exit ;;
     cris:Linux:*:*)
 	echo cris-axis-linux-gnu
 	exit ;;
@@ -989,7 +992,7 @@
 	LIBC=gnulibc1
 	# endif
 	#else
-	#if defined(__INTEL_COMPILER) || defined(__PGI) || defined(__sun)
+	#if defined(__INTEL_COMPILER) || defined(__PGI) || defined(__SUNPRO_C) || defined(__SUNPRO_CC)
 	LIBC=gnu
 	#else
 	LIBC=gnuaout
diff -u somaplayer-0.5.2.1.ds/config.sub somaplayer-0.5.2.1.ds/config.sub
--- somaplayer-0.5.2.1.ds/config.sub
+++ somaplayer-0.5.2.1.ds/config.sub
@@ -1,9 +1,10 @@
 #! /bin/sh
 # Configuration validation subroutine script.
 #   Copyright (C) 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999,
-#   2000, 2001, 2002, 2003, 2004, 2005 Free Software Foundation, Inc.
+#   2000, 2001, 2002, 2003, 2004, 2005, 2006 Free Software Foundation,
+#   Inc.
 
-timestamp='2006-02-23'
+timestamp='2006-07-02'
 
 # This file is (in principle) common to ALL GNU software.
 # The presence of a machine in this file suggests that SOME GNU software
@@ -240,7 +241,7 @@
 	| alpha | alphaev[4-8] | alphaev56 | alphaev6[78] | alphapca5[67] \
 	| alpha64 | alpha64ev[4-8] | alpha64ev56 | alpha64ev6[78] | alpha64pca5[67] \
 	| am33_2.0 \
-	| arc | arm | arm[bl]e | arme[lb] | armv[2345] | armv[345][lb] | avr \
+	| arc | arm | arm[bl]e | arme[lb] | armv[2345] | armv[345][lb] | avr | avr32 \
 	| bfin \
 	| c4x | clipper \
 	| d10v | d30v | dlx | dsp16xx \
@@ -248,7 +249,8 @@
 	| h8300 | h8500 | hppa | hppa1.[01] | hppa2.0 | hppa2.0[nw] | hppa64 \
 	| i370 | i860 | i960 | ia64 \
 	| ip2k | iq2000 \
-	| m32r | m32rle | m68000 | m68k | m88k | maxq | mb | microblaze | mcore \
+	| m32c | m32r | m32rle | m68000 | m68k | m88k \
+	| maxq | mb | microblaze | mcore \
 	| mips | mipsbe | mipseb | mipsel | mipsle \
 	| mips16 \
 	| mips64 | mips64el \
@@ -274,11 +276,11 @@
 	| pdp10 | pdp11 | pj | pjl \
 	| powerpc | powerpc64 | powerpc64le | powerpcle | ppcbe \
 	| pyramid \
-	| sh | sh[1234] | sh[24]a | sh[23]e | sh[34]eb | shbe | shle | sh[1234]le | sh3ele \
+	| sh | sh[1234] | sh[24]a | sh[23]e | sh[34]eb | sheb | shbe | shle | sh[1234]le | sh3ele \
 	| sh64 | sh64le \
-	| sparc | sparc64 | sparc64b | sparc86x | sparclet | sparclite \
-	| sparcv8 | sparcv9 | sparcv9b \
-	| strongarm \
+	| sparc | sparc64 | sparc64b | sparc64v | sparc86x | sparclet | sparclite \
+	| sparcv8 | sparcv9 | sparcv9b | sparcv9v \
+	| spu | strongarm \
 	| tahoe | thumb | tic4x | tic80 | tron \
 	| v850 | v850e \
 	| we32k \
@@ -286,9 +288,6 @@
 	| z8k)
 		basic_machine=$basic_machine-unknown
 		;;
-	m32c)
-		basic_machine=$basic_machine-unknown
-		;;
 	m6811 | m68hc11 | m6812 | m68hc12)
 		# Motorola 68HC11/12.
 		basic_machine=$basic_machine-unknown
@@ -318,7 +317,7 @@
 	| alpha64-* | alpha64ev[4-8]-* | alpha64ev56-* | alpha64ev6[78]-* \
 	| alphapca5[67]-* | alpha64pca5[67]-* | arc-* \
 	| arm-*  | armbe-* | armle-* | armeb-* | armv*-* \
-	| avr-* \
+	| avr-* | avr32-* \
 	| bfin-* | bs2000-* \
 	| c[123]* | c30-* | [cjt]90-* | c4x-* | c54x-* | c55x-* | c6x-* \
 	| clipper-* | craynv-* | cydra-* \
@@ -329,7 +328,7 @@
 	| hppa-* | hppa1.[01]-* | hppa2.0-* | hppa2.0[nw]-* | hppa64-* \
 	| i*86-* | i860-* | i960-* | ia64-* \
 	| ip2k-* | iq2000-* \
-	| m32r-* | m32rle-* \
+	| m32c-* | m32r-* | m32rle-* \
 	| m68000-* | m680[012346]0-* | m68360-* | m683?2-* | m68k-* \
 	| m88110-* | m88k-* | maxq-* | mcore-* \
 	| mips-* | mipsbe-* | mipseb-* | mipsel-* | mipsle-* \
@@ -358,11 +357,11 @@
 	| powerpc-* | powerpc64-* | powerpc64le-* | powerpcle-* | ppcbe-* \
 	| pyramid-* \
 	| romp-* | rs6000-* \
-	| sh-* | sh[1234]-* | sh[24]a-* | sh[23]e-* | sh[34]eb-* | shbe-* \
+	| sh-* | sh[1234]-* | sh[24]a-* | sh[23]e-* | sh[34]eb-* | sheb-* | shbe-* \
 	| shle-* | sh[1234]le-* | sh3ele-* | sh64-* | sh64le-* \
-	| sparc-* | sparc64-* | sparc64b-* | sparc86x-* | sparclet-* \
+	| sparc-* | sparc64-* | sparc64b-* | sparc64v-* | sparc86x-* | sparclet-* \
 	| sparclite-* \
-	| sparcv8-* | sparcv9-* | sparcv9b-* | strongarm-* | sv1-* | sx?-* \
+	| sparcv8-* | sparcv9-* | sparcv9b-* | sparcv9v-* | strongarm-* | sv1-* | sx?-* \
 	| tahoe-* | thumb-* \
 	| tic30-* | tic4x-* | tic54x-* | tic55x-* | tic6x-* | tic80-* \
 	| tron-* \
@@ -373,8 +372,6 @@
 	| ymp-* \
 	| z8k-*)
 		;;
-	m32c-*)
-		;;
 	# Recognize the various machine names and aliases which stand
 	# for a CPU type and a company and sometimes even an OS.
 	386bsd)
@@ -1128,7 +1125,7 @@
 	sh[1234] | sh[24]a | sh[34]eb | sh[1234]le | sh[23]ele)
 		basic_machine=sh-unknown
 		;;
-	sparc | sparcv8 | sparcv9 | sparcv9b)
+	sparc | sparcv8 | sparcv9 | sparcv9b | sparcv9v)
 		basic_machine=sparc-sun
 		;;
 	cydra)
@@ -1217,7 +1214,7 @@
 	      | -os2* | -vos* | -palmos* | -uclinux* | -nucleus* \
 	      | -morphos* | -superux* | -rtmk* | -rtmk-nova* | -windiss* \
 	      | -powermax* | -dnix* | -nx6 | -nx7 | -sei* | -dragonfly* \
-	      | -skyos* | -haiku* | -rdos*)
+	      | -skyos* | -haiku* | -rdos* | -toppers*)
 	# Remember, each alternative MUST END IN *, to match a version number.
 		;;
 	-qnx*)
@@ -1369,6 +1366,9 @@
 # system, and we'll never get to this point.
 
 case $basic_machine in
+        spu-*)
+		os=-elf
+		;;
 	*-acorn)
 		os=-riscix1.2
 		;;
@@ -1378,9 +1378,9 @@
 	arm*-semi)
 		os=-aout
 		;;
-    c4x-* | tic4x-*)
-        os=-coff
-        ;;
+        c4x-* | tic4x-*)
+        	os=-coff
+		;;
 	# This must come before the *-dec entry.
 	pdp10-*)
 		os=-tops20
diff -u somaplayer-0.5.2.1.ds/debian/somaplayer-doc.install somaplayer-0.5.2.1.ds/debian/somaplayer-doc.install
--- somaplayer-0.5.2.1.ds/debian/somaplayer-doc.install
+++ somaplayer-0.5.2.1.ds/debian/somaplayer-doc.install
@@ -2 +1,0 @@
-usr/share/*
diff -u somaplayer-0.5.2.1.ds/debian/changelog somaplayer-0.5.2.1.ds/debian/changelog
--- somaplayer-0.5.2.1.ds/debian/changelog
+++ somaplayer-0.5.2.1.ds/debian/changelog
@@ -1,3 +1,12 @@
+somaplayer (0.5.2.1.ds-1.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Move /usr/share/locale and /usr/share/man to somaplayer package as they
+    should be distributed with the binaries. Also makes somaplayer and
+    somaplayer-doc installable together again. (Closes: #356255)
+
+ -- James Westby <jw+debian@jameswestby.net>  Sun, 17 Sep 2006 01:15:06 +0100
+
 somaplayer (0.5.2.1.ds-1) unstable; urgency=high
 
   * removed gettext and libconfuse source from the package we will use the
diff -u somaplayer-0.5.2.1.ds/debian/control somaplayer-0.5.2.1.ds/debian/control
--- somaplayer-0.5.2.1.ds/debian/control
+++ somaplayer-0.5.2.1.ds/debian/control
@@ -34,7 +34,7 @@
   * icecast2 (output icecast2), 
   * shoutcast (output shoutcast support), 
   * ipv6.
- -
+ .
  It is very useful to build up and manage internet radio stations
  and can be used in combination with the soma daemon.
 
diff -u somaplayer-0.5.2.1.ds/debian/somaplayer.install somaplayer-0.5.2.1.ds/debian/somaplayer.install
--- somaplayer-0.5.2.1.ds/debian/somaplayer.install
+++ somaplayer-0.5.2.1.ds/debian/somaplayer.install
@@ -1,0 +2,2 @@
+usr/share/man/*
+usr/share/locale/*

Christoph
-- 
cb@df7cb.de | http://www.df7cb.de/
[signature.asc (application/pgp-signature, inline)]

Tags added: fixed Request was from James Westby <jw+debian@jameswestby.net> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Jamm!n Wheeler <jammin@life.eu.org>:
Bug#356255. Full text and rfc822 format available.

Message #22 received at 356255-submitter@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <debian-bts@adam-barratt.org.uk>
To: 356255-submitter@bugs.debian.org
Subject: Debian bug #356255
Date: Thu, 26 Oct 2006 22:15:32 +0100
Hi,

You should have recently received (or will soon receive) an e-mail
telling you that I've closed Debian bug #356255 in the somaplayer-doc 
package, which you reported.

Due to the fact that the package was uploaded by someone who does not
normally do so, the bug was marked as "fixed" rather than closed.

Debian's bug tracking system now allows for this information to be
recorded in a more useful manner, enabling these bugs to be closed.

Due to the volume of bugs affected by this change, we are unfortunately
not sending individualized explanations for each bug. If you have
questions about the fix for your particular bug or about this email,
please contact me directly or follow up to the bug report in the Debian
BTS.

[It's possible you may receive multiple messages stating that the bug
was fixed in several different versions of the package. There are two
common reasons for this:

  - the bug was fixed in one version but subsequently found to exist
    in a later version

  - the bug existed in multiple distributions (for instance, "unstable"
    and "stable") and was thus fixed in a separate upload to each
    distribution
]

Regards,

Adam



Bug marked as fixed in version 0.5.2.1.ds-1.1, send any further explanations to Jamm!n Wheeler <jammin@life.eu.org> Request was from "Adam D. Barratt" <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 22:48:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 04:07:29 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.